educationAssignment: delta
Namespace: microsoft.graph
Obtenha uma lista de atribuições recém-criadas ou atualizadas sem precisar executar uma leitura completa da coleção.
Um professor ou um aplicativo em execução com permissões de aplicativo pode ver todos os objetos de atribuição para a classe. Os alunos só podem ver as tarefas atribuídas a eles.
Nota: Esse método não retorna atribuições excluídas.
Permissões
Uma das seguintes permissões é obrigatória para chamar esta API. Para saber mais, incluindo como escolher permissões, confira Permissões.
| Tipo de permissão | Permissões (da com menos para a com mais privilégios) |
|---|---|
| Delegada (conta corporativa ou de estudante) | EduAssignments.ReadBasic, EduAssignments.ReadWriteBasic, EduAssignments.Read, EduAssignments.ReadWrite |
| Delegada (conta pessoal da Microsoft) | Sem suporte. |
| Aplicativo | EduAssignments.ReadBasic.All, EduAssignments.ReadWriteBasic.All, EduAssignments.Read.All, EduAssignments.ReadWrite.All |
Parâmetros de consulta opcionais
Esse método só dá suporte ao parâmetro $top de consulta OData.
Solicitação HTTP
GET /education/classes/{educationClassId}/assignments/delta
GET /education/classes/{educationClassId}/members/{educationUserId}/assignments/delta
Cabeçalhos de solicitação
| Nome | Descrição |
|---|---|
| Autorização | {token} de portador. Obrigatório. |
Corpo da solicitação
Não forneça um corpo de solicitação para esse método.
Resposta
Se tiver êxito, essa função retornará um 200 OK código de resposta e uma coleção educationAssignment no corpo da resposta.
Exemplos
Exemplo 1: Obter atribuições com suporte de consulta delta
Solicitação
Este é um exemplo de solicitação.
Use o $top parâmetro para especificar o número de atribuições a serem retornadas. O parâmetro é opcional. Use-o quando tiver uma longa lista de atribuições; caso contrário, você obterá todas as atribuições na classe.
GET https://graph.microsoft.com/v1.0/education/classes/72a7baec-c3e9-4213-a850-f62de0adad5f/assignments/delta?$top=2
Resposta
Este é um exemplo de resposta.
Nota: Pegue a
@odata.nextLinkpartir da resposta para fazer outra chamada e obter o próximo conjunto de atribuições.
HTTP/1.1 200 OK
Content-type: application/json
Content-length: 344
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#Collection(educationAssignment)",
"@odata.nextLink": "https://graph.microsoft.com/v1.0/education/classes/72a7baec-c3e9-4213-a850-f62de0adad5f/assignments/delta?$skiptoken=U43TyYWKlRvJ6wWxZOfJvkp22nMqShRw9f-GxBtG2FDy9b1hMDaAJGdLb7n2fh1IdHoweKQs1czM4Ry1LVsNqwIFXftTcRHvgSCbcszvbJHEWDCO3QO7K7zwCM8DdXNepZOa1gqldecjIUM0NFRbGQoQ5yR6RmGnMgtko8TDMOyMH_yg1my82PTXA_t4Nj-DhMDZWvuNTd_lbLeTngc7mIJPMCR2gHN9CSKsW_kw850.UM9tUqwOu5Ln1pnxaP6KdMmfJHszGqY3EKPlQkOiyGs",
"value": [
{
"@odata.type": "#microsoft.graph.educationAssignment",
"classId": "72a7baec-c3e9-4213-a850-f62de0adad5f",
"displayName": "Expand options 3.1",
"closeDateTime": "2021-11-14T07:59:00Z",
"dueDateTime": "2021-11-14T07:59:00Z",
"assignDateTime": null,
"assignedDateTime": "2021-11-10T23:57:16.1897643Z",
"allowLateSubmissions": false,
"resourcesFolderUrl": null,
"createdDateTime": "2021-11-10T23:56:03.7992389Z",
"lastModifiedDateTime": "2021-11-11T00:42:20.8999693Z",
"allowStudentsToAddResourcesToSubmission": false,
"status": "published",
"notificationChannelUrl": "https://graph.microsoft.com/v1.0/teams/72a7baec-c3e9-4213-a850-f62de0adad5f/channels/19:e375b98b9d4f4738857fb70f23d329b7@thread.skype",
"webUrl": null,
"addToCalendarAction": "none",
"addedStudentAction": "none",
"grading": null,
"id": "3b870c07-21fe-47fb-8562-cdd6f2c281d6",
"instructions": {
"content": "follow up",
"contentType": "text"
},
"assignTo": {
"@odata.type": "#microsoft.graph.educationAssignmentClassRecipient"
},
"createdBy": {
"application": null,
"device": null,
"user": {
"id": "f3a5344e-dbde-48b0-be24-b5b62a243836",
"displayName": null
}
},
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"id": "f3a5344e-dbde-48b0-be24-b5b62a243836",
"displayName": null
}
}
},
{
"@odata.type": "#microsoft.graph.educationAssignment",
"classId": "72a7baec-c3e9-4213-a850-f62de0adad5f",
"displayName": "Expand options 4",
"closeDateTime": null,
"dueDateTime": "2021-11-12T07:59:00Z",
"assignDateTime": null,
"assignedDateTime": null,
"allowLateSubmissions": true,
"resourcesFolderUrl": null,
"createdDateTime": "2021-11-10T23:58:29.2670914Z",
"lastModifiedDateTime": "2021-11-10T23:58:39.6191021Z",
"allowStudentsToAddResourcesToSubmission": true,
"status": "draft",
"notificationChannelUrl": null,
"webUrl": null,
"addToCalendarAction": "none",
"addedStudentAction": "none",
"grading": null,
"id": "34ab8c17-eaae-4996-9c04-53696934e6ff",
"instructions": {
"content": "",
"contentType": "text"
},
"assignTo": {
"@odata.type": "#microsoft.graph.educationAssignmentClassRecipient"
},
"createdBy": {
"application": null,
"device": null,
"user": {
"id": "f3a5344e-dbde-48b0-be24-b5b62a243836",
"displayName": null
}
},
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"id": "f3a5344e-dbde-48b0-be24-b5b62a243836",
"displayName": null
}
}
}
]
}
Exemplo 2: Obter o próximo conjunto de atribuições com suporte à consulta delta
Solicitação
Este é um exemplo de solicitação.
Use o @odata.nextLink valor da chamada anterior para essa solicitação.
GET /education/classes/72a7baec-c3e9-4213-a850-f62de0adad5f/assignments/delta?$skiptoken=U43TyYWKlRvJ6wWxZOfJvkp22nMqShRw9f-GxBtG2FDy9b1hMDaAJGdLb7n2fh1IdHoweKQs1czM4Ry1LVsNqwIFXftTcRHvgSCbcszvbJHEWDCO3QO7K7zwCM8DdXNepZOa1gqldecjIUM0NFRbGQoQ5yR6RmGnMgtko8TDMOyMH_yg1my82PTXA_t4Nj-DhMDZWvuNTd_lbLeTngc7mIJPMCR2gHN9CSKsW_kw850.UM9tUqwOu5Ln1pnxaP6KdMmfJHszGqY3EKPlQkOiyGs
Resposta
Este é um exemplo de resposta.
Nota: Você deve continuar usando o
@odata.nextLinkvalor para as chamadas subsequentes até obter@odata.deltaLinka propriedade na resposta.
HTTP/1.1 200 OK
Content-type: application/json
Content-length: 344
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#Collection(educationAssignment)",
"@odata.deltaLink": "https://graph.microsoft.com/v1.0/education/classes/72a7baec-c3e9-4213-a850-f62de0adad5f/assignments/delta?$deltatoken=7ORzTfzlUEGDy6BRE3OC-3ePBbvLHCRe4aJ_hjaBKJxUHmn_ODgoM4xreLS7YRaxROmLjac48n-iXm5j6n5aQwlsnC-2OvL3lI0Z8M4klERNmJQjnBn7MHqwXZ6L8GlI3VPnya3E-p1bisiZX97jLvQUAopseIYhvnD6v7fiYrk.fVsHempT6X2CiBh6aN9Ex5nVJ71adKdcf-mdke8OHKs",
"value": [
{
"@odata.type": "#microsoft.graph.educationAssignment",
"classId": "72a7baec-c3e9-4213-a850-f62de0adad5f",
"displayName": "Expand options 2",
"closeDateTime": null,
"dueDateTime": "2021-11-12T07:59:00Z",
"assignDateTime": null,
"assignedDateTime": "2021-11-10T23:54:15.9533379Z",
"allowLateSubmissions": true,
"resourcesFolderUrl": null,
"createdDateTime": "2021-11-10T23:51:08.8548584Z",
"lastModifiedDateTime": "2021-11-10T23:54:17.4687411Z",
"allowStudentsToAddResourcesToSubmission": true,
"status": "assigned",
"notificationChannelUrl": null,
"webUrl": null,
"addToCalendarAction": "none",
"addedStudentAction": "none",
"grading": null,
"id": "efa3b9a8-b41f-4263-adc5-738c01912153",
"instructions": {
"content": "",
"contentType": "text"
},
"assignTo": {
"@odata.type": "#microsoft.graph.educationAssignmentClassRecipient"
},
"createdBy": {
"application": null,
"device": null,
"user": {
"id": "f3a5344e-dbde-48b0-be24-b5b62a243836",
"displayName": null
}
},
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"id": "AAAAAAAA-0123-4567-89AB-1B4BB48C3119",
"displayName": null
}
}
},
{
"@odata.type": "#microsoft.graph.educationAssignment",
"classId": "72a7baec-c3e9-4213-a850-f62de0adad5f",
"displayName": "Expand options in publish",
"closeDateTime": null,
"dueDateTime": "2021-11-12T07:59:00Z",
"assignDateTime": null,
"assignedDateTime": "2021-11-10T23:48:03.9134549Z",
"allowLateSubmissions": true,
"resourcesFolderUrl": null,
"createdDateTime": "2021-11-10T23:42:37.2869391Z",
"lastModifiedDateTime": "2021-11-10T23:48:06.490359Z",
"allowStudentsToAddResourcesToSubmission": true,
"status": "assigned",
"notificationChannelUrl": null,
"webUrl": null,
"addToCalendarAction": "none",
"addedStudentAction": "none",
"grading": null,
"id": "5cf13354-0156-4483-8c19-3185c6252188",
"instructions": {
"content": "",
"contentType": "text"
},
"assignTo": {
"@odata.type": "#microsoft.graph.educationAssignmentClassRecipient"
},
"createdBy": {
"application": null,
"device": null,
"user": {
"id": "f3a5344e-dbde-48b0-be24-b5b62a243836",
"displayName": null
}
},
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"id": "AAAAAAAA-0123-4567-89AB-1B4BB48C3119",
"displayName": null
}
}
}
]
}
Exemplo 3: Obter as atribuições criadas e modificadas usando o token delta
Solicitação
Este é um exemplo de solicitação.
Use o @odata.deltaLink valor da chamada anterior para essa solicitação.
GET /education/classes/72a7baec-c3e9-4213-a850-f62de0adad5f/assignments/delta?$deltatoken=7ORzTfzlUEGDy6BRE3OC-3ePBbvLHCRe4aJ_hjaBKJxUHmn_ODgoM4xreLS7YRaxROmLjac48n-iXm5j6n5aQwlsnC-2OvL3lI0Z8M4klERNmJQjnBn7MHqwXZ6L8GlI3VPnya3E-p1bisiZX97jLvQUAopseIYhvnD6v7fiYrk.fVsHempT6X2CiBh6aN9Ex5nVJ71adKdcf-mdke8OHKs
Resposta
Este é um exemplo de resposta.
Nota: Você deve continuar usando para
@odata.deltaLinkobter as atribuições recém-criadas ou modificadas desde a chamada delta inicial.
Nota: A resposta delta pode ser grande, caso em que um
@odata.nextLinké retornado. Continue buscando alterações até atingir um@odata.deltaLinknovamente.
HTTP/1.1 200 OK
Content-type: application/json
Content-length: 344
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#Collection(educationAssignment)",
"@odata.deltaLink": "https://graph.microsoft.com/v1.0/education/classes/72a7baec-c3e9-4213-a850-f62de0adad5f/assignments/delta?$deltatoken=7ORzTfzlUEGDy6BRE3OC-3ePBbvLHCRe4aJ_hjaBKJxUHmn_ODgoM4xreLS7YRaxROmLjac48n-iXm5j6n5aQwlsnC-2OvL3lI0Z8M4klER9TeVMFnEEWX3TRYFAJe1nNUp5s0cjvqM59nMNhcFoIhmt6RUUcXe6vlP9yy00ADA.gT8PrGKC3hZnt4oDxMAmjyX50EASWG4KNcc1E9yTRRo",
"value": [
{
"@odata.type": "#microsoft.graph.educationAssignment",
"classId": "72a7baec-c3e9-4213-a850-f62de0adad5f",
"displayName": "expand options 2 updated for delta",
"closeDateTime": null,
"dueDateTime": "2021-11-12T07:59:00Z",
"assignDateTime": null,
"assignedDateTime": "2021-11-10T23:54:15.9533379Z",
"allowLateSubmissions": true,
"resourcesFolderUrl": null,
"createdDateTime": "2021-11-10T23:51:08.8548584Z",
"lastModifiedDateTime": "2021-11-16T15:17:07.518655Z",
"allowStudentsToAddResourcesToSubmission": true,
"status": "assigned",
"notificationChannelUrl": null,
"webUrl": null,
"addToCalendarAction": "none",
"addedStudentAction": "none",
"grading": null,
"id": "efa3b9a8-b41f-4263-adc5-738c01912153",
"instructions": {
"content": "",
"contentType": "text"
},
"assignTo": {
"@odata.type": "#microsoft.graph.educationAssignmentClassRecipient"
},
"createdBy": {
"application": null,
"device": null,
"user": {
"id": "f3a5344e-dbde-48b0-be24-b5b62a243836",
"displayName": null
}
},
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"id": "f3a5344e-dbde-48b0-be24-b5b62a243836",
"displayName": null
}
}
}
]
}
Comentários
Enviar e exibir comentários de